GET /v2/audio/search

shutterstock.com

Summary: Search for tracks
Operation ID: searchTracks
Auth: unknown
Description

This endpoint searches for tracks. If you specify more than one search parameter, the API uses an AND condition. Array parameters can be specified multiple times; in this case, the API uses an AND or an OR condition with those values, depending on the parameter.

Parameters (21)

artists (array, query, optional)

Show tracks with one of the specified artist names or IDs

bpm (integer, query, optional)

(Deprecated; use bpm_from and bpm_to instead) Show tracks with the specified beats per minute

bpm_from (integer, query, optional)

Show tracks with the specified beats per minute or faster

bpm_to (integer, query, optional)

Show tracks with the specified beats per minute or slower

duration (integer, query, optional)

Show tracks with the specified duration in seconds

duration_from (integer, query, optional)

Show tracks with the specified duration or longer in seconds

duration_to (integer, query, optional)

Show tracks with the specified duration or shorter in seconds

fields (string, query, optional)

Fields to display in the response; see the documentation for the fields parameter in the overview section

genre (array, query, optional)

Show tracks with each of the specified genres; to get the list of genres, use `GET /v2/audio/genres`

instruments (array, query, optional)

Show tracks with each of the specified instruments; to get the list of instruments, use `GET /v2/audio/instruments`

is_instrumental (boolean, query, optional)

Show instrumental music only

language (string, query, optional)

Which language to search in

library (string, query, optional, default: premier)

Which library to search

Constraints: {'enum': ['shutterstock', 'premier']}

moods (array, query, optional)

Show tracks with each of the specified moods; to get the list of moods, use `GET /v2/audio/moods`

page (integer, query, optional, default: 1)

Page number

Constraints: {'minimum': 1}

per_page (integer, query, optional, default: 20)

Number of results per page

Constraints: {'minimum': 0, 'maximum': 500}

query (string, query, optional)

One or more search terms separated by spaces

sort (string, query, optional)

Sort by

Constraints: {'enum': ['score', 'ranking_all', 'artist', 'title', 'bpm', 'freshness', 'duration']}

sort_order (string, query, optional, default: desc)

Sort order

Constraints: {'enum': ['asc', 'desc']}

view (string, query, optional, default: minimal)

Amount of detail to render in the response

Constraints: {'enum': ['minimal', 'full']}

vocal_description (string, query, optional)

Show tracks with the specified vocal description (male, female)

No probe data for this endpoint yet.